<template>
  <div class="bg-white z-10">
    <slot></slot>
    <!-- Start Header Main -->
    <div class="container mx-auto py-4 flex items-center">
      <nuxt-link to="/" class="bg-white p-2">
        <img
          src="@/assets/img/logo.webp"
          alt=""
          class="w-[162px] h-[60px] ml-4"
        />
      </nuxt-link>
      <nav class="ml-auto hidden lg:block">
        <ul class="flex justify-center items-center">
          <li
            v-for="itemNavBar in listNavBar"
            :key="itemNavBar.title"
            class="p-4 mx-2 hover:text-primary-400 transition duration hover:duration-200 ease-in uppercase font-semibold"
          >
            <nuxt-link :to="itemNavBar.path">{{ itemNavBar.title }}</nuxt-link>
          </li>
        </ul>
      </nav>
      <div
        class="mr-2 border hidden lg:block border-solid border-gray-500 rounded-[30px] font-bold transition duration-0 hover:duration-200 hover:bg-[#ff5e14] hover:text-white hover:border-[#ff5e14] ease-in"
      >
        <nuxt-link class="px-6 py-4 inline-block" to="/login"
          >Login/Register</nuxt-link
        >
      </div>

      <div
        class="p-4 cursor-pointer block lg:hidden ml-auto"
        @click="toggleMobileMenu"
      >
        <font-awesome-icon icon="fa-solid fa-bars" class="text-2xl" />
      </div>
    </div>
    <!-- End Header Main -->
    <div
      class="nav_mobile z-20 relative"
      :class="{ 'mobile_menu-on': isShowMobileMenu }"
    >
      <div class="mobile_overlay"></div>
      <div class="mobile_content">
        <div class="mobile_close-menu absolute top-8 left-4">
          <v-btn
            type="outline"
            class="w-8 h-8 text-xl text-gray-500 rounded-full"
            @click="toggleMobileMenu"
          >
            <font-awesome-icon icon="fa-solid fa-xmark" />
          </v-btn>
        </div>
        <div class="my-10 mx-auto w-32">
          <img src="@/assets/img/logo.webp" alt="" class="w-full" />
        </div>
        <div class="mobile_list-menu text-gray-500">
          <ul>
            <li
              v-for="itemNavBar in listNavBar"
              :key="itemNavBar.title"
              class="py-2 mx-2 hover:text-primary-400 transition duration hover:duration-200 ease-in uppercase font-semibold border-b border-solid border-gray-400"
              @click="toggleMobileMenu"
            >
              <nuxt-link :to="itemNavBar.path">{{
                itemNavBar.title
              }}</nuxt-link>
            </li>
          </ul>
        </div>
        <div
          class="mr-2 mt-10 w-2/3 border px-4 flex items-center justify-center border-solid border-gray-500 rounded-[30px] font-bold transition duration-0 hover:duration-200 hover:bg-[#ff5e14] hover:text-white hover:border-[#ff5e14] ease-in"
        >
          <nuxt-link class="px-4 py-2 inline-block text-blueGray-700" to="/login"
            >Login/Register</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      listNavBar: [
        { title: 'Home', path: '/' },
        { title: 'About us', path: '/about' },
        { title: 'Why Choose us', path: '/why-choose-us' },
        { title: 'Contact us', path: '/contact' },
      ],
      isShowMobileMenu: false,
    }
  },
  methods: {
    toggleMobileMenu() {
      this.isShowMobileMenu = !this.isShowMobileMenu
    },
  },
}
</script>

<style>
.mobile_overlay {
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 50%);
  position: fixed;
  inset: 0;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease-in-out;
}
.mobile_content {
  width: 320px;
  height: 100vh;
  background-color: white;
  padding: 20px 35px 35px;
  position: fixed;
  top: 0;
  bottom: 0;
  right: -320px;
  transition: all 0.5s ease-in-out;
}
.mobile_menu-on.nav_mobile {
  display: block;
}
.mobile_menu-on .mobile_overlay {
  opacity: 1;
  visibility: visible;
}
.mobile_menu-on .mobile_content {
  right: 0;
}
</style>
